@echo off
::
::                   Petals CLI bootstrap script
::
:: Environment variables:
::
::     JAVA_HOME   Home directory of the JVM to be used
::
::     JAVA_OPTS   Options for the JVM. Try "java -h" to get informations
::                 about the available options for your environment
::
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::


:: Set the path to the java executable
if not defined JAVA_HOME (
   set JAVA=java
) else (
   set JAVA="%JAVA_HOME%\bin\java.exe"
)

:: Set the path to bootstrap jar
set PETALS_CLI_JAR="%CD%\..\lib\petals-cli.jar"
if not exist %PETALS_CLI_JAR% (
	echo ERROR: petals-cli.jar: the jar archive was not found
	goto :EOF
)

:: Get the content of variables at runtime and not at parse time
:: %var% = parse time
:: !var! = run time
setlocal EnableDelayedExpansion

:: Add installed Petals CLI extensions to the classpath
set PETALS_CLI_CLASSPATH=%PETALS_CLI_JAR%
for %%a in ("%CD%\..\extensions\*.jar") do (
	set PETALS_CLI_CLASSPATH=!PETALS_CLI_CLASSPATH!;"%%a"
)

:: Add default preferences file to the classpath
set PETALS_CLI_CLASSPATH=%PETALS_CLI_CLASSPATH%;"%CD%\..\conf"

:: Set a possible user preference file
set USER_PREFS="%HOMEPATH%\.petals-cli\petals-cli.default"
if exist %USER_PREFS% (
   :: A user preference file exists, use it.
   set PETALS_CLI_PREFS=%USER_PREFS%
)

:: Start
%JAVA% -classpath %PETALS_CLI_CLASSPATH% %JAVA_OPTS% -Djline.shutdownhook=true org.ow2.petals.cli.Main %*
