/**
 * Copyright (c) 2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.shell.exception;

import org.ow2.petals.cli.api.exception.ShellException;

/**
 * A command is not registered.
 * @author Christophe DENEUX - EBM WebSourcing
 */
public class UnknownCommandException extends ShellException {

    private static final long serialVersionUID = 3714851818185007267L;

    /**
     * Name of the not-registered command.
     */
    private final String commandName;

	public UnknownCommandException(final String commandName) {
        super("The command '" + commandName + "' is not registered.");
		this.commandName = commandName;
	}

    /**
     * Get the not registered command name.
     *
     * @return The not registered command name.
     */
    public String getCommandName() {
        return this.commandName;
    }

}
