/**
 * Copyright (c) 2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.shell.command;

import org.ow2.petals.cli.api.command.exception.CommandException;
import org.ow2.petals.cli.api.command.exception.CommandInvalidException;


/**
 * A test command without argument. If an argument is provided, an error is
 * raised.
 * 
 * @author Christophe DENEUX - EBM Websourcing
 * 
 */
public class CommandNoArg extends AbstractCommand {

    private final CommandResult cmdRes;

    public CommandNoArg(final CommandResult cmdRes) {
        super();
        this.cmdRes = cmdRes;
    }

    @Override
    public void execute(String[] args) throws CommandException {

        cmdRes.setExecuted(true);

        if (args.length > 0) {
            final CommandException e = new CommandInvalidException(this, "Invalid parameter");
            this.cmdRes.setError(e);
            throw e;
        }
    }
}